Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Class AdEventTrackerBase

    java.lang.Object
      |
      +--com.bea.p13n.ad.AdEventTrackerBase

Direct Known Subclasses:
  AdTracking

public class AdEventTrackerBase
extends java.lang.Object
implements AdEventTracker

Base class which does the basic work of raising events within the ad package.

Constructor Summary
`AdEventTrackerBase()`

Method Summary
`protected static EventService` | `getEventService()` Return the EventService at java:comp/env/ejb/EventService.
`void` | `raiseClickThruEvent(java.lang.String userId, javax.servlet.http.HttpServletRequest request, java.lang.String containerUID, java.lang.String contextUID, java.lang.String placeholder, java.lang.String contId)` Raise a ClickContentEvent when an ad is clicked on
`void` | `raiseDisplayEvent(java.lang.String userId, javax.servlet.http.HttpServletRequest request, java.lang.String containerUID, java.lang.String contextUID, java.lang.String placeholder, java.lang.String contId)` Raise a DisplayContentEvent when an ad is displayed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdEventTrackerBase

    public AdEventTrackerBase()

Method Detail

### raiseDisplayEvent

    public void raiseDisplayEvent(java.lang.String userId,
                                  javax.servlet.http.HttpServletRequest request,
                                  java.lang.String containerUID,
                                  java.lang.String contextUID,
                                  java.lang.String placeholder,
                                  java.lang.String contId)

  Raise a DisplayContentEvent when an ad is displayed.
  Specified by:
    raiseDisplayEvent in interface AdEventTracker

  Parameters:
    `userId` - the user id
    `request` - the HTTP request
    `containerUID` - the UID of the container
    `contextUID` - the UID of the context
    `placeholder` - the name of the placeholder,
    `contId` - the content id of the ad

### raiseClickThruEvent

    public void raiseClickThruEvent(java.lang.String userId,
                                    javax.servlet.http.HttpServletRequest request,
                                    java.lang.String containerUID,
                                    java.lang.String contextUID,
                                    java.lang.String placeholder,
                                    java.lang.String contId)

  Raise a ClickContentEvent when an ad is clicked on
  Specified by:
    raiseClickThruEvent in interface AdEventTracker

  Parameters:
    `userId` - the user id
    `request` - the HTTP request
    `containerUID` - the UID of the container
    `contextUID` - the UID of the context
    `placeholder` - the name of the placeholder,
    `contId` - the content id of the ad

### getEventService

    protected static EventService getEventService()
                                           throws javax.ejb.CreateException,
                                                  javax.naming.NamingException,
                                                  java.rmi.RemoteException

  Return the EventService at java:comp/env/ejb/EventService.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved